The Address object

Attributes

id string

Unique identifier for the object.

created_at string

ISO 8601 timestamp of when the object was created.

updated_at string

ISO 8601 timestamp of when the object was last updated.

address_title string
address_type string required
address_line1 string required
address_line2 string
city string required
county string
state string
country string required
pincode string
email_id string
phone string
fax string
is_primary_address boolean

Default: false

is_shipping_address boolean

Default: false

disabled boolean

Default: false

The Address object
{
  "id": "address_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "address_title": "address_title_example",
  "address_type": "address_type_example",
  "address_line1": "address_line1_example",
  "address_line2": "address_line2_example",
  "city": "city_example",
  "county": "county_example",
  "state": "state_example",
  "country": "country_example",
  "pincode": "pincode_example",
  "email_id": "[email protected]",
  "phone": "phone_example",
  "fax": "fax_example",
  "is_primary_address": false,
  "is_shipping_address": false,
  "disabled": false
}
GET /api/core/address/{id}

Retrieve a address

Retrieves the details of an existing address. Supply the unique address ID that was returned from a previous request.

Path parameters

id string required

The identifier of the address to retrieve.

Returns

Returns the address object if a valid identifier was provided.

GET /api/core/address/{id}
curl https://api.overplane.dev/api/core/address/address_abc123 \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "id": "address_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "address_title": "address_title_example",
  "address_type": "address_type_example",
  "address_line1": "address_line1_example",
  "address_line2": "address_line2_example",
  "city": "city_example",
  "county": "county_example",
  "state": "state_example",
  "country": "country_example",
  "pincode": "pincode_example",
  "email_id": "[email protected]",
  "phone": "phone_example",
  "fax": "fax_example",
  "is_primary_address": false,
  "is_shipping_address": false,
  "disabled": false
}
GET /api/core/address

List all addresss

Returns a list of addresss. The results are sorted by creation date, with the most recently created appearing first.

Query parameters

limit integer

Maximum number of objects to return. Default: 20.

offset integer

Number of objects to skip for pagination. Default: 0.

Returns

A paginated list of address objects.

GET /api/core/address
curl https://api.overplane.dev/api/core/address \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "data": [
    {
      "id": "address_abc123",
      "created_at": "2024-01-15T09: 30: 00Z",
      "updated_at": "2024-01-15T09: 30: 00Z",
      "address_title": "address_title_example",
      "address_type": "address_type_example",
      "address_line1": "address_line1_example",
      "address_line2": "address_line2_example",
      "city": "city_example",
      "county": "county_example",
      "state": "state_example",
      "country": "country_example",
      "pincode": "pincode_example",
      "email_id": "[email protected]",
      "phone": "phone_example",
      "fax": "fax_example",
      "is_primary_address": false,
      "is_shipping_address": false,
      "disabled": false
    }
  ],
  "has_more": false,
  "total": 1
}
POST /api/core/address

Create a address

Creates a new address object.

Body parameters

address_title string
address_type string required
address_line1 string required
address_line2 string
city string required
county string
state string
country string required
pincode string
email_id string
phone string
fax string
is_primary_address boolean

Default: false

is_shipping_address boolean

Default: false

disabled boolean

Default: false

Returns

Returns the newly created address object if the call succeeded.

POST /api/core/address
curl https://api.overplane.dev/api/core/address \
  -H "Authorization: Bearer sk_test_..." \
  -X POST \
  -H "Content-Type: application/json" \
  -d '{"address_type":"address_type_example","address_line1":"address_line1_example","city":"city_example","country":"country_example"}'
Response
{
  "id": "address_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "address_title": "address_title_example",
  "address_type": "address_type_example",
  "address_line1": "address_line1_example",
  "address_line2": "address_line2_example",
  "city": "city_example",
  "county": "county_example",
  "state": "state_example",
  "country": "country_example",
  "pincode": "pincode_example",
  "email_id": "[email protected]",
  "phone": "phone_example",
  "fax": "fax_example",
  "is_primary_address": false,
  "is_shipping_address": false,
  "disabled": false
}
PATCH /api/core/address/{id}

Update a address

Updates the specified address by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

Path parameters

id string required

The identifier of the address to update.

Body parameters

address_title string
address_type string
address_line1 string
address_line2 string
city string
county string
state string
country string
pincode string
email_id string
phone string
fax string
is_primary_address boolean

Default: false

is_shipping_address boolean

Default: false

disabled boolean

Default: false

Returns

Returns the updated address object.

PATCH /api/core/address/{id}
curl https://api.overplane.dev/api/core/address/address_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X PATCH \
  -H "Content-Type: application/json" \
  -d '{"address_title":"address_title_example","address_type":"address_type_example"}'
Response
{
  "id": "address_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "address_title": "address_title_example",
  "address_type": "address_type_example",
  "address_line1": "address_line1_example",
  "address_line2": "address_line2_example",
  "city": "city_example",
  "county": "county_example",
  "state": "state_example",
  "country": "country_example",
  "pincode": "pincode_example",
  "email_id": "[email protected]",
  "phone": "phone_example",
  "fax": "fax_example",
  "is_primary_address": false,
  "is_shipping_address": false,
  "disabled": false
}
DELETE /api/core/address/{id}

Delete a address

Permanently deletes a address. This cannot be undone.

Path parameters

id string required

The identifier of the address to delete.

Returns

Returns a confirmation that the address has been deleted.

DELETE /api/core/address/{id}
curl https://api.overplane.dev/api/core/address/address_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X DELETE
Response
{
  "id": "address_abc123",
  "deleted": true
}